package mp;
import robocode.*;
import java.awt.Color;


public class Horacio extends AdvancedRobot
{
	private boolean dir;
	public void run() {
		/** direction:
			true  -> Direita
			false -> Esquerda
		*/
		
		setColors(Color.pink, Color.blue, Color.red);
		
		turnRight(getHeading()*(-1));
		setBack(getY()-20);
		waitFor(new MoveCompleteCondition(this));
		turnRight(90);
		turnGunLeft(90);
		
		dir = true;
		
		while(true) {
			if(dir == false) {
				if(getX() > 200) back(200);
				else { dir = true; ahead(200); }
				}
			else {
				if(getX()<getBattleFieldWidth()-200){ ahead(200); }
			 	else {dir = false; back(200);}
			}
		}
	}
	
	public void onScannedRobot(ScannedRobotEvent e) {
		double heading = getHeading();
		fire(2);
		if(heading < 180) {
			dir = true;
			ahead(100);
		}
		else if(heading > 180) {
			dir = false;
			back(100);
		}
	}
	
	public void onHitRobot(HitRobotEvent e) {
		if(dir) {
			turnGunRight(90);
			fire(3);
			dir = false;
			back(100);
			turnGunLeft(90);
		}else {
			turnGunLeft(90);
			fire(3);
			dir = false;
			ahead(100);
			turnGunRight(90);
		}
	}
}