package famatrofa;
import robocode.*;
import java.awt.Color;
/**
 * SpinBot - a sample robot by Mathew Nelson
 * 
 * Moves in a circle, firing hard when an enemy is detected
 */
public class BixoDoCoco extends AdvancedRobot {

	public void run() {
		setColors(Color.red,Color.green,Color.yellow);
		
	  	while (true) {
			// Tell the game that when we take move,
			//  we'll also want to turn right... a lot.
			setTurnRight(10000);
			// Limit our speed to 5
			setMaxVelocity(5);
			// Start moving (and turning)
			ahead(10000);
			// Repeat.
	  	} 
	}

	/**
	 * onScannedRobot: Fire hard!
	 */
	public void onScannedRobot(ScannedRobotEvent e) {
	  fire(7);
//	  out.println(firePower);
	}
	
	/**
	 * onHitRobot:  If it's our fault, we'll stop turning and moving,
	 *              so we need to turn again to keep spinning.
	 */
	public void onHitRobot(HitRobotEvent e) {
		if (e.getBearing() > -10 && e.getBearing() < 10){
			fire(7);}



//			out.println(firePower);}
		if (e.isMyFault())
			turnRight(10);



	}

	public void onHitWall(HitWallEvent e) {
	double angulo = e.getBearing();
	setTurnRight(90-angulo);
	setAhead(100);
	}
}


						